Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
osmium::tags Namespace Reference

Code related to working with OSM tags. More...

## Classes
class | Filter
struct | match_key
struct | match_key< std::string >
struct | match_key_prefix
struct | match_value
struct | match_value< std::string >
struct | match_value< void >

## Typedefs
using | KeyValueFilter = Filter<std::string, std::string>
using | KeyFilter = Filter<std::string>
using | KeyPrefixFilter = Filter<std::string, void, match_key_prefix>

## Functions
template<typename TFilter >
bool | match_any_of (const osmium::TagList &tag_list, const TFilter &filter)
template<typename TFilter >
bool | match_all_of (const osmium::TagList &tag_list, const TFilter &filter)
template<typename TFilter >
bool | match_none_of (const osmium::TagList &tag_list, const TFilter &filter)

## Detailed Description

Code related to working with OSM tags.

## Typedef Documentation

## ◆ KeyFilter

using osmium::tags::KeyFilter = Filter<std::string>

Deprecated
  Use osmium::TagsFilter instead.

## ◆ KeyPrefixFilter

using osmium::tags::KeyPrefixFilter = Filter<std::string, void, match_key_prefix>

Deprecated
  Use osmium::TagsFilter instead.

## ◆ KeyValueFilter

using osmium::tags::KeyValueFilter = Filter<std::string, std::string>

Deprecated
  Use osmium::TagsFilter instead.

## Function Documentation

## ◆ match_all_of()

template<typename TFilter >

bool osmium::tags::match_all_of | ( | const osmium::TagList & | tag_list,
|  | const TFilter & | filter )
| inline

## ◆ match_any_of()

template<typename TFilter >

bool osmium::tags::match_any_of | ( | const osmium::TagList & | tag_list,
|  | const TFilter & | filter )
| inline

## ◆ match_none_of()

template<typename TFilter >

bool osmium::tags::match_none_of | ( | const osmium::TagList & | tag_list,
|  | const TFilter & | filter )
| inline